$(document).ready(function(){
      load(1);
    });

function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'php_empleados/tabla_empleados.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
          
        }
      })
    }

 function eliminar (id)
    {
      var q= $("#q").val();
    if (confirm("Realmente deseas eliminar el empleado")){ 
    $.ajax({
        type: "GET",
        url: "php_empleados/eliminar_empleado.php",
        data: "id="+id,"q":q,
     beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      },
        success: function(datos){
    $("#resultados").html(datos);
    load(1);
    }
      });
    }
    }


 $( "#nuevo_empleado" ).submit(function( event ) {
  $('#btn_empleado').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_empleados/registrar_empleado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_cliente").html(datos);
      $('#btn_empleado').attr("disabled", false);
      load(1);
      }
  });
  event.preventDefault();
})

 function obtener_datos(id){
      var tipo = $("#tipo_doc"+id).val();
      var cc = $("#cc"+id).val();
      var nombre = $("#nombre"+id).val();
      var primerapellido = $("#primer_apellido"+id).val();
      var segundoapellido = $("#segundo_apellido"+id).val();
      var direccion = $("#direccion"+id).val();
      var telefono = $("#telefono"+id).val();
      var correo = $("#correo"+id).val();
      var ciudad1 = $("#ciudad"+id).val();
      var tipotrabajador = $("#tipo_trabajador"+id).val();
      var subtipotrabajador = $("#subtipo_trabajador"+id).val();
      var tipocontrato = $("#tipo_contrato"+id).val();
      var salario1 = $("#salario"+id).val();
      var salariointegral = $("#salario_integral"+id).val();
      var altoriesgo = $("#alto_riesgo"+id).val();
      var fechaadminsion = $("#fecha_adminsion"+id).val();
      var metodopago = $("#metodo_pago"+id).val();
      var banco = $("#banco"+id).val();
      var tipocuenta = $("#tipo_cuenta"+id).val();
      var numerocuenta = $("#numero_cuenta"+id).val();



      $("#id").val(id);
      $("#tipo_doc").val(tipo);
      $("#cc").val(cc);
      $("#nombre").val(nombre);
      $("#primer_apellido").val(primerapellido);
      $("#segundo_apellido").val(segundoapellido);
      $("#direccion").val(direccion);
      $("#telefono").val(telefono);
      $("#correo").val(correo);
      $("#ciudad2").val(ciudad1);
      $("#tipo_trabajador").val(tipotrabajador);
      $("#subtipo_trabajador").val(subtipotrabajador);
      $("#tipo_contrato").val(tipocontrato);
      $("#salario").val(salario1);
      $("#salario_integral").val(salariointegral);
      $("#alto_riesgo").val(altoriesgo);
      $("#fecha_adminsion").val(fechaadminsion);
      $("#metodo_pago").val(metodopago);
      $("#banco").val(banco);
      $("#tipo_cuenta2").val(tipocuenta);
      $("#numero_cuenta").val(numerocuenta);   
   }